Skip to main content

Complete a file upload

Finalizes an upload created via POST /api/files.

Uploads must be completed within 24 hours, otherwise they will be deleted.

Maximum file size is 5GB, and is also limited by the workspace's current plan.

Once completed, the file can be used exactly once by attaching it to one of:

  • A conversation message (use the attachments key)
  • A task comment (use the attachments key)
  • A folder (use the files key on POST /api/folders/{id}/files)

Parameters

No parameters.

Returns

Returns the file object.

post
/api/files/{id}/complete
curl -X POST https://{workspace}.kitchen.co/api/files/{id}/complete \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"id": "fi_081dcab571f6c37d709078ce",
"location_type": null,
"location": null,
"approver": null,
"uploader": "u_c01bb6102b6ddadd4b1f020e",
"name": "Screenshot.png",
"size": 348208,
"mime_type": "image/png",
"extension": "png",
"url": "https://k.assets-edge.com/u/ws_046457c4dcfcc7986383e7f4/685132c3e2464-screenshot.png",
"thumbnail": "https://k.assets-edge.com/previews/ws_046457c4dcfcc7986383e7f4/685132c614920-screenshot-476.png",
"approved_at": null,
"created_at": "2025-06-17T09:17:56+00:00",
"updated_at": "2025-06-17T09:17:56+00:00"
}